org.apache.xalan.xsltc.compiler

## Interface Closure

    public interface Closure

Author:
  Santiago Pericas-Geertsen

### Method Summary

Methods
`void` `addVariable(org.apache.xalan.xsltc.compiler.VariableRefBase variableRef)` Add new variable to the closure.
`java.lang.String` `getInnerClassName()` Returns the name of the auxiliary class or null if this predicate is compiled inside the Translet.
`Closure` `getParentClosure()` Returns a reference to its parent closure or null if outermost.
`boolean` `inInnerClass()` Returns true if this closure is compiled in an inner class (i.e.

### Method Detail

#### inInnerClass

    boolean inInnerClass()

Returns true if this closure is compiled in an inner class (i.e. if this is a real closure).

#### getParentClosure

    Closure getParentClosure()

Returns a reference to its parent closure or null if outermost.

#### getInnerClassName

    java.lang.String getInnerClassName()

Returns the name of the auxiliary class or null if this predicate is compiled inside the Translet.

#### addVariable

    void addVariable(org.apache.xalan.xsltc.compiler.VariableRefBase variableRef)

Add new variable to the closure.